package com.heyu.api.baidu.handle.financial;


import com.heyu.api.data.annotation.CustomPath;
import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.financial.BQuotaInvoiceRequest;
import com.heyu.api.baidu.response.financial.BQuotaInvoiceResp;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/***
 * https://console.bce.baidu.com/support/?_=1740575657628&timestamp=1740576567910#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E8%B4%A2%E5%8A%A1%E7%A5%A8%E6%8D%AEOCR&api=rest%2F2.0%2Focr%2Fv1%2Fquota_invoice&method=post
 *
 *
 * 定额发票识别
 *
 */
@Component
@Slf4j
@CustomPath("quotaInvoice")
public class BQuotaInvoiceHandle extends BaiduBaseHandle<BQuotaInvoiceRequest, BQuotaInvoiceResp> {


    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/quota_invoice";
    }

    @Override
    public String check(BQuotaInvoiceRequest bQuotaInvoiceRequest) {
        return checkOfd(bQuotaInvoiceRequest);
    }

    @Override
    public String getContent(BQuotaInvoiceRequest bQuotaInvoiceRequest) {
        return getOfdContent(bQuotaInvoiceRequest).toString();
    }
}
